#import "@preview/wrap-it:0.1.1": *

== Templates & Template Builder <template>

#figure(
  image("../../images/template-edit.png", width: 100%),
)

Templates sind Formatvorlagen, die beim Druck von Mitgliederdaten bzw. -listen, Protokollen (@protocol) und Newslettern (@newsletter) verwendet werden können.

Diese Templates können frei gestaltet werden und beinhalten Datenfelder, die dann beim Druck automatisch ausgefüllt werden.
\
\
*Hinweis:* Der Prozess zur Erstellung von Templates wird zeitnah umgestellt. Dadurch sind bestehende Templates zwar noch verwendbar jedoch nicht mehr editierbar.
\
\
#figure(
  image("../../images/template-usage.png", width: 100%),
)
Die Formatvorlagen können in der Template-Verwendung als Vorlagen für Kopf- und Fußzeile und den Hauptteil verwendet werden. Standardmäßig besteht die Kopfzeile immer aus dem Druckvorgang und dem Applikationsnamen. Die Fußzeile gibt Standardmäßig die Seitenzahl an.
\
\
Bei der Einstellung der Template-Verwendung kann für jeden verfügbaren Druckvorgang angegeben werden, welche eigenen bzw. Standard-Vorlagen verwendet werden sollen. Zusätzlich muss hier bedacht werden, dass die Höhe von Kopf- und Fußzeile an die Templates angepasst werden muss.

Die Änderungen können gespeichert oder vollständig zurückgesetzt werden.

Eine Vorschau des Resultats ist unter dem Auge-Symbol möglich. Dazu werden Demo-Daten geladen und in das Template eingefügt. Die Vorschau zeigt dann ein PDF, wie es bei einem finalen Export aussehen könnte.