#import "typst/template.typ": template
#import "typst/utils.typ": *

#show: template.with(
  logo: "../admin/logo.png",
  title: "Anleitung",
  alttitle: "Anleitung zu FF Admin bis v1.7.x",
  subtitle: "bis v1.7.x",
  details: (
    "Open Source Software",
    "entwickelt durch JK Effects",
    "von Julian Krauser",
  ),
  authors: (
    (name: "Krauser Julian"),
  ),
  // abstract: [
  //   #include "admin/content/abstract.typ"
  // ],
  glossary: (
    // (key: "key", short: "short", long: "long", desc: [description]),
  ),
  attachments: (
    // (title: "attach", file: "../admin/attachments/filename.type", ref: "ref", description:"description"),
  ),
  keywords: (
    "FF Admin",
    "Mitgliederverwaltung",
    "Vereinsverwaltung",
    "Feuerwehr"
  ),
)

#include "admin/content/1-intro.typ"

#include "admin/content/2-installation.typ"

#include "admin/content/3-concepts.typ"

#include "admin/content/4-modules.typ"

#include "admin/content/5-system.typ"

#include "admin/content/6-roadmap.typ"