#import "@preview/wrap-it:0.1.1": *

== Einrichtung

Um die Webseite nutzen zu können, müssen die Datenspeicher Global mit der Navigation sowie die Startseite ausgefüllt sein.
\
\
Wichtig ist, dass ein paar Einstellungen vor der ersten Verwendung vorgenommen werden müssen. Dazu zählen:

1. *Admin Benutzer erstellen*: Erstellen Sie einen Admin-Benutzer, um auf das CMS zugreifen zu können. Dazu muss die URL zum Content Management System geöffnet werden. Dort kann direkt der erste Benutzer als Admin angelegt werden.

#wrap-content(
  figure(
    image("../../images/role-permissions.png", width: 6.5cm),
  ),
  align: right
)[
2. *Einstellungen anpassen*: In den Einstellungen müssen unter dem Punkt `Users & Permissions Plugin` die Rollen und Berechtigungen angepasst werden. Unter `Roles > Public` müssen die Berechtigungen `find`, `findOne` und falls vorhanden `distinctYears` und `findByYear` für bestimmte Vorlagen aktiviert werden. Dadurch kann die Website später ohne weitere Einstellungen lesend auf die veröffentlichten Inhalte zugreifen. Die Leseberechtigungen müssen für `Article`, `Collection-lookup`, `Event`, `Global`, `Homepage`, `Operation`, `Page` und `Vehicle` aktiviert werden.
]

#wrap-content(
  figure(
    image("../../images/media-library.png", width: 6.5cm),
  ),
  align: right
)[
3. *Medienverwaltung*: Es wird empfohlen, unter `Global Settings > Media Library` alle Optionen auf true zu setzen. Dadurch wird z.B. auch die automatische Bilddrehung aktiviert. Dadurch werden die Bilder automatisch in die richtige Ausrichtung gedreht und in der Größe optimiert. 
]

4. *Rollen und Berechtigungen*: Unter `Administration Panel > Roles` können die Rollen und Berechtigungen für die Benutzer angepasst werden. Es wird empfohlen, die Standardrollen zu übernehmen und nur die Berechtigungen anzupassen. Diese können jedoch beliebig erweitert werden. Dieser Punkt betrifft nur die Erstellung von Inhalten in der Administrationsoberfläche.

#wrap-content(
  figure(
    image("../../images/invite.png", width: 6.5cm),
  ),
  align: right
)[
5. *Nutzer einladen*: Unter `Administration Panel > Users` können weitere Benutzer eingeladen werden. Diese erhalten dann eine E-Mail mit einem Link, über den sie ein Passwort festlegen können. Die eingeladenen Benutzer erhalten dann eine E-Mail, über die sie ihr Passwort setzen können. Rollen können hier direkt bei der Einladung vergeben werden, so dass nach der Registrierung direkt mit der Bearbeitung begonnen werden kann. Theoretisch können Benutzer auch eingeladen und direkt editiert werden, um ein Passwort zu setzen. Dies kann verwendet werden, wenn die E-Mail-Adresse nicht existiert.
]

6. *Erstellung von Inhalten*: Nachdem die Einstellungen vorgenommen wurden, können die Inhalte erstellt werden. Dazu können die Inhalte über die Schnittstelle zu den bestehenden Modellen erstellt werden.

#wrap-content(
  figure(
    image("../../images/reference.png", width: 6.5cm),
  ),
  align: right
)[
7. *Einrichtung Sammlungsreferenz*: Die Sammlungsreferenz ist ein eigenes Modell, das die Darstellung von Artikeln, Einsätzen, Fahrzeugen und Terminen regelt. Die Sammlungswerte sind die Verweise auf die verfügbaren Listen. Es wird empfohlen, diese Werte direkt zu definieren, damit sie in anderen Modellen als Referenz verwendet werden können.
]
